local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

function DRFrame_OnLoad()

	if DRConfig == "" or DRConfig == nil then
		DRConfig = {
			["DeclineDuel"] = 'ON'
		}
	end

	DRFrame:RegisterEvent("DUEL_REQUESTED");
	DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r v" .. GetAddOnMetadata("DuelResponse", "Version") .. " " .. L["loaded successfully."])
	-- already hidden by default, but just in case...
	DRFrame:Hide();

SlashCmdList["DUELRESPONSE"] = drconfig;
	SLASH_DUELRESPONSE1 = "/dr"
	
end

function DRFrame_OnEvent(self, event, arg1)

	if DRConfig.DeclineDuel == "OFF" then
		if IsControlKeyDown() or IsAltKeyDown() then
			return
		else
			if UnitIsAFK("player") == true then
				CancelDuel()
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. arg1 .. L[" challenged you while you were marked as AFK."])
			elseif UnitIsDND("player") == true then
				CancelDuel()
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. arg1 .. L[" challenged you while you were marked as Busy."])
			end
		end
	elseif DRConfig.DeclineDuel == "ON" then
		if IsControlKeyDown() or IsAltKeyDown() then
			return
		else
			CancelDuel()
			DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Declined a duel request from "] .. arg1 .. ".")
		end
	else
		return
	end
	
end

function drconfig()

	if DRConfig.DeclineDuel == "ON" then
		DRConfig.DeclineDuel = 'OFF'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Duel requests |cFFFF0000will not|r be declined."])
	elseif DRConfig.DeclineDuel == "OFF" then
		DRConfig.DeclineDuel = 'ON'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Duel requests |cFF00FF00will|r be declined."])
	end

end