-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/duelresponse/localization/
-- Once done, please contact GeodesicDragon to inform him of the changes you have made.

local AddonName, a = ...
a.Localize = setmetatable({}, {__index = function(_, key) return key end})
local L = a.Localize

-- Example:
L["English text goes here."] = "Translated text goes here."

if GetLocale() == "ptBR" then -- Brazilian Portuguese
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests |cFF00FF00will|r be declined."] = ""
-- L["Duel requests |cFFFF0000will not|r be declined."] = ""
-- L["DuelResponse"] = ""
-- L["loaded successfully."] = ""
elseif GetLocale() == "frFR" then -- French
L[" challenged you while you were marked as Away."] = " vous défié à un duel alors que vous étiez loin." -- Needs review
L[" challenged you while you were marked as Busy."] = " vous défié à un duel alors que vous étiez occupé." -- Needs review
L["Declined a duel request from "] = "Demande de duel bloqué: " -- Needs review
L["Duel requests |cFF00FF00will|r be declined."] = "Demandes de Duel |cFF00FF00ne sera|r être refuse." -- Needs review
L["Duel requests |cFFFF0000will not|r be declined."] = "Demandes de Duel |cFFFF0000ne sera pas|r être refuse." -- Needs review
L["DuelResponse"] = "DuelResponse"
L["loaded successfully."] = "chargé avec succès." -- Needs review
elseif GetLocale() == "deDE" then -- German
L[" challenged you while you were marked as Away."] = " hat dich herausgefordert, während Du weg warst." -- Needs review
L[" challenged you while you were marked as Busy."] = "  hat dich herausgefordert, während Du beschäftigt warst." -- Needs review
L["Declined a duel request from "] = "Duellanfrage abgelehnt von "
L["Duel requests |cFF00FF00will|r be declined."] = "Duellanfragen |cFFFF0000werden|r abgelehnt."
L["Duel requests |cFFFF0000will not|r be declined."] = "Duellanfragen |cFFFF0000werden nicht|r abgelehnt."
L["DuelResponse"] = "DuellAntwort"
L["loaded successfully."] = "erfolgreich geladen."
elseif GetLocale() == "itIT" then -- Italian
L[" challenged you while you were marked as Away."] = " sfidato mentre eri evidenziati come assente." -- Needs review
L[" challenged you while you were marked as Busy."] = " sfidato mentre eri evidenziati come occupato." -- Needs review
L["Declined a duel request from "] = "Bloccato una richiesta di duello: " -- Needs review
L["Duel requests |cFF00FF00will|r be declined."] = "Richieste duello |cFF00FF00sarà|r bloccati." -- Needs review
L["Duel requests |cFFFF0000will not|r be declined."] = "Richieste duello |cFFFF0000non saranno|r bloccati." -- Needs review
L["DuelResponse"] = "DuelloRiposta" -- Needs review
L["loaded successfully."] = "caricato correttamente." -- Needs review
elseif GetLocale() == "koKR" then -- Korean
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests |cFF00FF00will|r be declined."] = ""
-- L["Duel requests |cFFFF0000will not|r be declined."] = ""
-- L["DuelResponse"] = ""
-- L["loaded successfully."] = ""
elseif GetLocale() == "esMX" then -- Latin American Spanish
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests |cFF00FF00will|r be declined."] = ""
-- L["Duel requests |cFFFF0000will not|r be declined."] = ""
-- L["DuelResponse"] = ""
-- L["loaded successfully."] = ""
elseif GetLocale() == "ruRU" then -- Russian
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests |cFF00FF00will|r be declined."] = ""
-- L["Duel requests |cFFFF0000will not|r be declined."] = ""
-- L["DuelResponse"] = ""
-- L["loaded successfully."] = ""
elseif GetLocale() == "zhCN" then -- Simplified Chinese
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests |cFF00FF00will|r be declined."] = ""
-- L["Duel requests |cFFFF0000will not|r be declined."] = ""
-- L["DuelResponse"] = ""
-- L["loaded successfully."] = ""
elseif GetLocale() == "esES" then -- Spanish
L[" challenged you while you were marked as Away."] = " hecho un reto durante tu ausencia." -- Needs review
L[" challenged you while you were marked as Busy."] = "poner en una solicitud mientras estaba ocupado." -- Needs review
L["Declined a duel request from "] = "Solicitud de duelo bloqueado: " -- Needs review
L["Duel requests |cFF00FF00will|r be declined."] = "Declinando duelo se ha |cFF00FF00activado|r." -- Needs review
L["Duel requests |cFFFF0000will not|r be declined."] = "Declinando duelo se ha |cFFFF0000desactivado|r." -- Needs review
L["DuelResponse"] = "DuelRespuesta"
L["loaded successfully."] = "correctamente cargado." -- Needs review
elseif GetLocale() == "zhTW" then -- Traditional Chinese
-- L[" challenged you while you were marked as Away."] = ""
-- L[" challenged you while you were marked as Busy."] = ""
-- L["Declined a duel request from "] = ""
-- L["Duel requests |cFF00FF00will|r be declined."] = ""
-- L["Duel requests |cFFFF0000will not|r be declined."] = ""
-- L["DuelResponse"] = ""
-- L["loaded successfully."] = ""
end